# SequenceCrop(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``SequenceCrop`(bpy_struct)

  Cropping parameters for a sequence strip

  `max_x`

    Type: | int in [0, inf], default 0

  `max_y`

    Type: | int in [0, inf], default 0

  `min_x`

    Type: | int in [0, inf], default 0

  `min_y`

    Type: | int in [0, inf], default 0

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`EffectSequence.crop` `ImageSequence.crop` `MaskSequence.crop` `MetaSequence.crop` | `MovieClipSequence.crop` `MovieSequence.crop` `SceneSequence.crop`